## debarchiver 0.10.5

=== debian/changelog ===
debarchiver (0.10.5) unstable; urgency=low

  * Build errors are no longer sliently ignored. Closes: #777014. Thanks
    to Chris Lamb <lamby@debian.org> for the patch.
  * Make sure the man pages are built correctly. Closes: #777015
    (again). Thanks to Mats Erik Andersson
    <mats.andersson@gisladisker.se> for the patch.
  * Correction to the Portuguese translation build config. This makes manual
    pages to be built for other languages too. Closes: #784193.
    It also makes the package build at all, see the first note.
    Thanks to Mats Erik Andersson for pointing out this problem.
  * Stepped standards version to 3.9.4.
  * Rewrote the rules file to use debhelper 7 functionality (simplified).

 -- Ola Lundqvist <opal@debian.org>  Thu, 14 May 2015 21:20:47 +0200

debarchiver (0.10.4) unstable; urgency=low

  * Made build reproducible as it removes timestamps from the build
    system. Closes: #777015. Thanks to Chris Lamb <lamby@debian.org> for
    the patch.

 -- Ola Lundqvist <opal@debian.org>  Mon, 13 Apr 2015 22:42:03 +0200

=== debian/control ===
Source: debarchiver
Section: devel
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: perl (>= 5.6.0-16), po4a
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.4

Package: debarchiver
Architecture: all
Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser, ${misc:Depends}
Recommends: exim4 | mail-transport-agent | mailutils | bsd-mailx | mailx
Suggests: devscripts, gnupg
Description: Tool to handle Debian package archives
 This tool can create a potato like file structure that dselect,
 apt-get and similar tools can use for easier installation.
 .
 You just have to place the package files into a incoming
 directory and the tool does the sorting (if you place the
 generated '.changes' file there too).
 .
 OBSERVE! This package will create a cronjob that does the
 actual sorting.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	# Add here commands to compile the package.
	$(MAKE)

override_dh_auto_clean:
	# Add here commands to clean up after the build process.
	$(MAKE) clean

override_dh_auto_install:
	# Add here commands to install the package into debian/debarchiver.
	$(MAKE) install	DESTDIR=$(CURDIR)/debian/debarchiver
	mkdir -p $(CURDIR)/debian/debarchiver/usr/share/lintian/overrides
	install -m644 debian/debarchiver.override \
		$(CURDIR)/debian/debarchiver/usr/share/lintian/overrides/debarchiver

%:
	dh $@

## debarchiver 0.10.7

=== debian/changelog ===
debarchiver (0.10.7) unstable; urgency=low

  * Updated the package description according to the suggestion from
    Justin B Rye <jbr@edlug.org.uk>. Closes: #695379.
  * Updated the manual page to tell how to disable email sending
    altogether.
  * Email sending will be ignored if the receipient list is empty.
    Closes: #730775.
  * Updated to standards version 3.9.6.

 -- Ola Lundqvist <opal@debian.org>  Sat, 11 Jun 2016 20:37:40 +0200

debarchiver (0.10.6) unstable; urgency=low

  * Updated the package description to clarify the word 'potato'. Thanks
    to Fred Maranhão <fred.maranhao@gmail.com> for pointing out that it
    is not so obvious.

 -- Ola Lundqvist <opal@debian.org>  Mon, 01 Jun 2015 21:29:51 +0200

## debarchiver 0.11.0

=== debian/changelog ===
debarchiver (0.11.0) unstable; urgency=medium

  * Input directory is added to INC to allow input.conf to be read also
    after perl 5.26 is released.
  * Allow use of command line options to vrfycmd configuration option.
    Closes: #755447. The change is based on a patch from Ron Lee
    <ron@debian.org>.

 -- Ola Lundqvist <opal@debian.org>  Mon, 14 Nov 2016 21:34:42 +0100

=== debian/control ===
Source: debarchiver
Section: devel
Priority: optional
Maintainer: Ola Lundqvist <opal@debian.org>
Build-Depends-Indep: perl (>= 5.6.0-16), po4a
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.6

Package: debarchiver
Architecture: all
Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser, ${misc:Depends}
Recommends: exim4 | mail-transport-agent | mailutils | bsd-mailx | mailx
Suggests: devscripts, gnupg
Description: tool to handle Debian package archives
 This tool can sort packages into a directory structure that apt-get
 and similar tools can use as an installation source (arranged in an
 old-style simple repository layout without package pools). It is meant
 to be used by administrators who need special packages, or
 tweaked versions to ease administration.
 .
 Package files placed in debarchiver's incoming directory along with the
 corresponding generated ".changes" file will be sorted by a cronjob
 into the appropriate directory of the repository.

## debarchiver 0.11.2

=== debian/changelog ===
debarchiver (0.11.2) unstable; urgency=low

  * Updated language in manual page.

 -- Ola Lundqvist <opal@debian.org>  Fri, 22 Jun 2018 21:08:26 +0200

debarchiver (0.11.1) unstable; urgency=low

  * Updated German man page translation. Closes: #858851.

 -- Ola Lundqvist <opal@debian.org>  Tue, 28 Mar 2017 20:48:12 +0200

## debarchiver 0.11.3

=== debian/changelog ===
debarchiver (0.11.3) unstable; urgency=medium

  * Applied patch for examples section in manpage. Closes: #323615.
    Thanks to Jari Alto for the initial suggestion and Helge Kreutzmann
    for the patch.
  * Updated French translation. Thanks to Alban Vidal. Closes: #863618.
  * Updated German translation. Thanks to Helge Kreutzmann. Closes: #858851.

 -- Ola Lundqvist <opal@debian.org>  Fri, 28 Dec 2018 22:00:53 +0100

## debarchiver 0.11.5

=== debian/changelog ===
debarchiver (0.11.5) unstable; urgency=medium

  * Added source format "3.0 (native)".
  * Bumped standards version to 4.3.0.
  * Updated to debhelper compatibility level 12.
  * Changed to use getent instead of grep in postrm.
  * Changed to use which instead of testing exact path.
  * Added default-mta to recommends.
  * Updated French translation. Closes: #922193.
  * Updated German translation. Closes: #930000.

 -- Ola Lundqvist <opal@debian.org>  Sun, 03 May 2020 21:10:21 +0200

debarchiver (0.11.4) unstable; urgency=medium

  * GPG needs pinentry-mode option to run in batch mode, so this was
    added. Closes: #954340.
    Thanks to Jorgen Hagg for the patch proposal.

 -- Ola Lundqvist <opal@debian.org>  Sat, 04 Apr 2020 21:29:38 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
 Build-Depends-Indep: perl (>= 5.6.0-16), po4a
-Build-Depends: debhelper (>= 8.0.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.3.0
 
 Package: debarchiver
 Architecture: all
 Depends: opalmod (>= 0.1.10), apt-utils | dpkg-dev, adduser, ${misc:Depends}
-Recommends: exim4 | mail-transport-agent | mailutils | bsd-mailx | mailx
+Recommends: default-mta | mail-transport-agent | mailutils | bsd-mailx | mailx
 Suggests: devscripts, gnupg
 Description: tool to handle Debian package archives
  This tool can sort packages into a directory structure that apt-get

## debarchiver 0.11.5+nmu1

=== Makefile ===
#
#   Copyright (C) 2000-2008,2015 Ola Lundqvist <ola@inguza.com>
#                 2015 Chris Lamb <lamby@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301 USA.

DIRS=po4a conf src

all install clean::
	set -e; for d in $(DIRS) ; do \
		make -C $$d $@ ; \
	done

install::
	mkdir -p $(DESTDIR)/var/cache/debarchiver
	mkdir -p $(DESTDIR)/var/lib/debarchiver/dists
	mkdir -p $(DESTDIR)/var/lib/debarchiver/incoming/stable
	mkdir -p $(DESTDIR)/var/lib/debarchiver/incoming/testing
	mkdir -p $(DESTDIR)/var/lib/debarchiver/incoming/unstable
	chmod -Rf g+ws $(DESTDIR)/var/lib/debarchiver/incoming

=== src/Makefile ===
#
#   Copyright (C) 2000-2008 Ola Lundqvist <ola@inguza.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301 USA.

all:

install:
	mkdir -p $(DESTDIR)/usr/bin
	install -m755 debarchiver.pl $(DESTDIR)/usr/bin/debarchiver
	mkdir -p $(DESTDIR)/usr/lib/debarchiver/signhelper

clean:

=== debian/changelog ===
debarchiver (0.11.5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add Build-Depends on libpod-parser-perl. Closes: #961154.

 -- Dominic Hargreaves <dom@earth.li>  Tue, 10 Nov 2020 22:47:54 +0000

## debarchiver 0.11.6

=== debian/changelog ===
debarchiver (0.11.6) unstable; urgency=medium

  * Updated Portuguese translation. Closes: #927420.
  * Updated link in readme file. Closes: #856994.

 -- Ola Lundqvist <opal@debian.org>  Tue, 17 Nov 2020 07:15:31 +0100

## debarchiver 0.11.7

=== conf/Makefile ===
#
#   Copyright (C) 2000-2008 Ola Lundqvist <ola@inguza.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301 USA.

all:

install: debarchiver.conf
	mkdir -p $(DESTDIR)/etc
	install -m644 debarchiver.conf $(DESTDIR)/etc
	mkdir -p $(DESTDIR)/etc/logcheck/ignore.d.workstation/
	install -m644 debarchiver.logcheck $(DESTDIR)/etc/logcheck/ignore.d.workstation/debarchiver

clean:

=== po4a/Makefile ===
#
#   Copyright (C) 2000-2008,2014,2015 Ola Lundqvist <ola@inguza.com>
#                 2015 Chris Lamb <lamby@debian.org>
#                 2015 Mats Erik Andersson <mats.andersson@gisladisker.se>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301 USA.

export DDATE=`cd .. && dpkg-parsechangelog --show-field Date`

all: debarchiver.1.gz debarchiver.fr.1.gz debarchiver.de.1.gz debarchiver.pt.1.gz

debarchiver.pod:
	podselect ../src/debarchiver.pl > $@

debarchiver.fr.pod:
	po4a -L UTF-8 -A UTF-8 po4a.cfg

debarchiver.pt.pod:
	po4a -L UTF-8 -A UTF-8 po4a.cfg

debarchiver.de.pod:
	po4a -L UTF-8 -A UTF-8 po4a.cfg

debarchiver.1: debarchiver.pod
	pod2man	--center="Debarchiver" \
		--section=1 \
                --release="Debarchiver " \
		--date="$(DDATE)" \
		$^ > $@

debarchiver.fr.1: debarchiver.fr.pod
	pod2man	--utf8 \
		--center="Debarchiver" \
		--section=1 \
		--release="Debarchiver " \
		--date="$(DDATE)" \
		$^ > $@

debarchiver.de.1: debarchiver.de.pod
	pod2man	--utf8 \
		--center="Debarchiver" \
		--section=1 \
		--release="Debarchiver " \
		--date="$(DDATE)" \
		$^ > $@

debarchiver.pt.1: debarchiver.pt.pod
	pod2man	--utf8 \
		--center="Debarchiver" \
		--section=1 \
		--release="Debarchiver " \
		--date="$(DDATE)" \
		$^ > $@

%.1.gz: %.1
	gzip -9n -c $^ > $@

install:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	install -m644 debarchiver.1.gz \
		$(DESTDIR)/usr/share/man/man1
	mkdir -p $(DESTDIR)/usr/share/man/fr/man1
	install -m644 debarchiver.fr.1.gz \
		$(DESTDIR)/usr/share/man/fr/man1/debarchiver.1.gz
	mkdir -p $(DESTDIR)/usr/share/man/de/man1
	install -m644 debarchiver.de.1.gz \
		$(DESTDIR)/usr/share/man/de/man1/debarchiver.1.gz
	mkdir -p $(DESTDIR)/usr/share/man/pt/man1
	install -m644 debarchiver.pt.1.gz \
		$(DESTDIR)/usr/share/man/pt/man1/debarchiver.1.gz

clean:
	-rm -f *.pod
	-rm -f *.1.gz
	-rm -f *.1

=== debian/changelog ===
debarchiver (0.11.7) unstable; urgency=medium

  * Source only upload. Closes: #993121.

 -- Ola Lundqvist <opal@debian.org>  Tue, 07 Sep 2021 14:10:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ola Lundqvist <opal@debian.org>
-Build-Depends-Indep: perl (>= 5.6.0-16), po4a
+Build-Depends-Indep: perl (>= 5.6.0-16), po4a, libpod-parser-perl
 Build-Depends: debhelper-compat (= 12)
 Standards-Version: 4.3.0

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,4 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
-
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
 
 override_dh_auto_build:
 	# Add here commands to compile the package.

## debarchiver 0.11.7build1

=== debian/changelog ===
debarchiver (0.11.7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 25 Nov 2025 19:13:16 +0000
